[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVAdvancedCustomDrawItemEvent

Specifies an event handler signalled to perform advanced custom drawing for a list view item with stage and state information.

## Declaration

Source position: comctrls.pp line 1336

`type TLVAdvancedCustomDrawItemEvent = procedure(`
`Sender: TCustomListView;`
`Item: TListItem;`
`State: TCustomDrawState;`
`Stage: TCustomDrawStage;`
`var DefaultDraw: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification. It must be cast to the TCustomListView type to access properties or methods specific to the list view control.
`Item` |  | List item for the event notification.
`State` |  | Custom drawing state for the list item (like Selected, Focused, Disabled).
`Stage` |  | Drawing stage for the list item. The advanced handler is interested in stages other than cdPrePaint.
`DefaultDraw` |  | True if default drawing should be performed in the list view control.

## Description

TLVAdvancedCustomDrawItemEvent is the type used to implement the OnAdvancedCustomDrawItem event handler in TCustomListView. See TLVCustomDrawItemEvent for the event type signalled to draw a list item in its pre-paint stage.

## See also

TCustomListView.OnAdvancedCustomDrawItem |  | Event handler signalled to custom draw a list item on the grid control when the draw state is not cdPrePaint.
TCustomListView.OnCustomDrawItem |  | Event handler signalled to perform custom drawing for list items on the control.
TLVCustomDrawItemEvent |  | Specifies an event handler signalled to custom draw an item on a list view control.